<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li class="current"><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="globals.xhtml"><span>All</span></a></li>
      <li><a href="globals_func.xhtml"><span>Functions</span></a></li>
      <li><a href="globals_vars.xhtml"><span>Variables</span></a></li>
      <li><a href="globals_type.xhtml"><span>Typedefs</span></a></li>
      <li><a href="globals_defs.xhtml"><span>Macros</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="globals.xhtml#index_a"><span>a</span></a></li>
      <li><a href="globals_b.xhtml#index_b"><span>b</span></a></li>
      <li><a href="globals_c.xhtml#index_c"><span>c</span></a></li>
      <li><a href="globals_d.xhtml#index_d"><span>d</span></a></li>
      <li><a href="globals_e.xhtml#index_e"><span>e</span></a></li>
      <li><a href="globals_f.xhtml#index_f"><span>f</span></a></li>
      <li><a href="globals_g.xhtml#index_g"><span>g</span></a></li>
      <li><a href="globals_h.xhtml#index_h"><span>h</span></a></li>
      <li><a href="globals_i.xhtml#index_i"><span>i</span></a></li>
      <li><a href="globals_k.xhtml#index_k"><span>k</span></a></li>
      <li><a href="globals_l.xhtml#index_l"><span>l</span></a></li>
      <li><a href="globals_m.xhtml#index_m"><span>m</span></a></li>
      <li><a href="globals_n.xhtml#index_n"><span>n</span></a></li>
      <li><a href="globals_o.xhtml#index_o"><span>o</span></a></li>
      <li><a href="globals_p.xhtml#index_p"><span>p</span></a></li>
      <li><a href="globals_r.xhtml#index_r"><span>r</span></a></li>
      <li class="current"><a href="globals_s.xhtml#index_s"><span>s</span></a></li>
      <li><a href="globals_t.xhtml#index_t"><span>t</span></a></li>
      <li><a href="globals_u.xhtml#index_u"><span>u</span></a></li>
      <li><a href="globals_v.xhtml#index_v"><span>v</span></a></li>
      <li><a href="globals_w.xhtml#index_w"><span>w</span></a></li>
      <li><a href="globals_x.xhtml#index_x"><span>x</span></a></li>
      <li><a href="globals_y.xhtml#index_y"><span>y</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('globals_s.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:</div>

<h3><a class="anchor" id="index_s"></a>- s -</h3><ul>
<li>scale_bilinear()
: <a class="el" href="scale_8cl.xhtml#a8d3a406833cc2a6e4eb51a43d5dcdc84">scale.cl</a>
</li>
<li>scale_nearest_neighbour()
: <a class="el" href="scale_8cl.xhtml#aec1496e8c3bdb3630f92433b1820e713">scale.cl</a>
</li>
<li>scharr3x3()
: <a class="el" href="scharr__filter_8cl.xhtml#a7cc764a3a8a92f986344e05cfb1fe75a">scharr_filter.cl</a>
</li>
<li>SELECT_DATA_TYPE
: <a class="el" href="softmax__layer_8cl.xhtml#af5b2e33e3c5fcaab3a213f26c2300170">softmax_layer.cl</a>
</li>
<li>SOBEL1x1_HOR
: <a class="el" href="sobel__filter_8cl.xhtml#ad40297671e8a51899c6114386492006b">sobel_filter.cl</a>
</li>
<li>SOBEL1x1_VERT
: <a class="el" href="sobel__filter_8cl.xhtml#a400b86850d6a242a7f48804a097c6403">sobel_filter.cl</a>
</li>
<li>sobel1x5()
: <a class="el" href="sobel__filter_8cl.xhtml#a4fac2cb52458aa4666af5b521d2a3910">sobel_filter.cl</a>
</li>
<li>SOBEL1x7
: <a class="el" href="sobel__filter_8cl.xhtml#a7f602251e0a1f8710f8aab3aef09a36b">sobel_filter.cl</a>
</li>
<li>sobel3x3()
: <a class="el" href="sobel__filter_8cl.xhtml#ad48e3b9dda20b039199eaea842350975">sobel_filter.cl</a>
</li>
<li>sobel5x1()
: <a class="el" href="sobel__filter_8cl.xhtml#a1cfe58175749124762fe0dea315d3c21">sobel_filter.cl</a>
</li>
<li>SOBEL7x1
: <a class="el" href="sobel__filter_8cl.xhtml#a59f291bf2b268f9b850fa81a3fbf776a">sobel_filter.cl</a>
</li>
<li>sobel_separable1x5()
: <a class="el" href="sobel__filter_8cl.xhtml#a7a74e414f0e90638939a7a0506576625">sobel_filter.cl</a>
</li>
<li>sobel_separable1x7()
: <a class="el" href="sobel__filter_8cl.xhtml#ad8be5e69836ab70ac229279a7d7edaf7">sobel_filter.cl</a>
</li>
<li>sobel_separable5x1()
: <a class="el" href="sobel__filter_8cl.xhtml#a2cc1fcdd12f2c3cdd31b83fd59597e40">sobel_filter.cl</a>
</li>
<li>sobel_separable7x1()
: <a class="el" href="sobel__filter_8cl.xhtml#a8cdc6e6df9d40cec1e857917d14ee75f">sobel_filter.cl</a>
</li>
<li>softmax_layer_max()
: <a class="el" href="softmax__layer_8cl.xhtml#a67da577562e431fc20c5cd8a1e8ddf21">softmax_layer.cl</a>
</li>
<li>softmax_layer_norm()
: <a class="el" href="softmax__layer_8cl.xhtml#a317069d3b4107b4b8157c8b09e30745f">softmax_layer.cl</a>
</li>
<li>softmax_layer_shift_exp_sum()
: <a class="el" href="softmax__layer_8cl.xhtml#aaf2858ffa79555d18154eae8a32db43e">softmax_layer.cl</a>
</li>
<li>SORT
: <a class="el" href="non__linear__filter__helpers_8h.xhtml#ac226bc1ed04fd7d4865263484ed22a47">non_linear_filter_helpers.h</a>
</li>
<li>sort5()
: <a class="el" href="non__linear__filter__helpers_8h.xhtml#a7b5c174de888c3cfa7c08c16682fd770">non_linear_filter_helpers.h</a>
</li>
<li>sort9()
: <a class="el" href="non__linear__filter__helpers_8h.xhtml#a0960df49e39a9499677066c32600c17f">non_linear_filter_helpers.h</a>
</li>
<li>SUB
: <a class="el" href="arithmetic__op_8cl.xhtml#aafc2c4f262a0686c07f86c7d2e1d8d14">arithmetic_op.cl</a>
</li>
<li>suppress_non_maximum()
: <a class="el" href="canny_8cl.xhtml#a8c233c75ee1010bcec8601d559f4be68">canny.cl</a>
</li>
<li>SWAP_4x4
: <a class="el" href="transpose_8cl.xhtml#af5dc9980a3e0aae2cba22e97b9458bc9">transpose.cl</a>
</li>
<li>SWAP_8x8
: <a class="el" href="transpose_8cl.xhtml#a91074bda470bd8bec36799fdaffd107a">transpose.cl</a>
</li>
<li>SWAP_ROW
: <a class="el" href="transpose_8cl.xhtml#a53bd970b471b909bef8456b6b564f35e">transpose.cl</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:11 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
